Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gwtext.client.widgets.grid.event
Class CellSelectionModelListenerAdapter

    java.lang.Object
      com.gwtext.client.widgets.grid.event.CellSelectionModelListenerAdapter

All Implemented Interfaces:
  CellSelectionModelListener

    public class CellSelectionModelListenerAdapter

extends java.lang.Object
implements CellSelectionModelListener

Constructor Summary
`CellSelectionModelListenerAdapter()`

Method Summary
`boolean` | `doBeforeRowSelect(CellSelectionModel sm, int rowIndex, int colIndex)` Fires before a cell is selected.
`void` | `onCellSelect(CellSelectionModel sm, int rowIndex, int colIndex)` Fires when a cell is selected.
`void` | `onSelectionChange(CellSelectionModel sm, Record record, int[] rowIndexColIndex)` Fires when the active selection changes.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CellSelectionModelListenerAdapter

    public CellSelectionModelListenerAdapter()

Method Detail

### doBeforeRowSelect

    public boolean doBeforeRowSelect(CellSelectionModel sm,
                                     int rowIndex,
                                     int colIndex)

  Description copied from interface: `CellSelectionModelListener`
  Fires before a cell is selected.

  Specified by:
    `doBeforeRowSelect` in interface `CellSelectionModelListener`
  Parameters:
    `sm` - this
    `rowIndex` - The selected row index
    `colIndex` - The selected cell index
  Returns:
    false to cancel the row select

### onCellSelect

    public void onCellSelect(CellSelectionModel sm,
                             int rowIndex,
                             int colIndex)

  Description copied from interface: `CellSelectionModelListener`
  Fires when a cell is selected.

  Specified by:
    `onCellSelect` in interface `CellSelectionModelListener`
  Parameters:
    `sm` - this
    `rowIndex` - The selected row index
    `colIndex` - The selected cell index

### onSelectionChange

    public void onSelectionChange(CellSelectionModel sm,
                                  Record record,
                                  int[] rowIndexColIndex)

  Description copied from interface: `CellSelectionModelListener`
  Fires when the active selection changes.

  Specified by:
    `onSelectionChange` in interface `CellSelectionModelListener`
  Parameters:
    `sm` - this
    `record` - the selected record. null for no selection
    `rowIndexColIndex` - array of rowIndex, columnIndex

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD